Incorrect translation's template handling since the switch to cmake

Bug #1233679 reported by Sebastien Bacher on 2013-10-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Indicator Location
Fix Released
Undecided
Charles Kerr
Network Menu
Fix Released
Undecided
Charles Kerr
Session Menu
Fix Released
Undecided
Charles Kerr
The Sound Menu
Fix Released
Undecided
Pete Woods
indicator-location (Ubuntu)
Undecided
Unassigned
indicator-network (Ubuntu)
Undecided
Unassigned
indicator-session (Ubuntu)
Undecided
Unassigned
indicator-sound (Ubuntu)
Undecided
Unassigned
pkgbinarymangler (Ubuntu)
Undecided
Unassigned

Bug Description

The switch to cmake seems to have made the translation setup a bit harder to deal with

* Doing that in the source

$ mkdir build
$ cd build
$ cmake ..
$ make

leads to a build dir without po subdir/template

* The Ubuntu magic seems to be not working anymore:
https://launchpadlibrarian.net/151894146/buildlog_ubuntu-saucy-i386.indicator-sound_12.10.2%2B13.10.20130930-0ubuntu1_UPLOADING.txt.gz

"Building ${CMAKE_PROJECT_NAME}.pot...
...
None of the files in POTFILES.in contain strings marked for translation.
dh_langpack: processing files to add translation domain '${CMAKE_PROJECT_NAME}'.."

dh_translations does that

" while (<CMAKELISTSFILE>) {
                if ( -e 'po/POTFILES.in' ) {
                     $use_intltool = 1;
                }
                $domain = $1 if /^set\s*\(GETTEXT_PACKAGE\s*"?([^\s"]*)"?\s*\)/;"

That doesn't work great with the cmakefilelist having "set(GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})" (e.g it doesn't know to escape it)

* There doesn't seem to be a standard makefile target to update the pot? Well at least those don't work
$ make pot
$ make translations
$ make update-pot
$ make indicator-sound.pot

The result is that currently the list of string handed to translations is not updated as it should :/

Related branches

summary: - Incorrect translation template handling since the switch to cmake
+ Incorrect translation's template handling since the switch to cmake
Sebastien Bacher (seb128) wrote :

I'm adding pkgbinarymangler to the list, maybe dh_translations could try to be a bit smarter about getting the domain in cases where it's a variable like there

Charles Kerr (charlesk) on 2013-10-01
Changed in indicator-session:
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-network:
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-location:
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-sound:
status: New → In Progress
Changed in indicator-session:
status: New → Triaged
Changed in indicator-network:
status: New → Triaged
Changed in indicator-location:
status: New → Triaged
Changed in indicator-sound:
assignee: nobody → Pete Woods (pete-woods)
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-sound at revision None, scheduled for release in indicator-sound, milestone 0.5.6

Changed in indicator-sound:
status: In Progress → Fix Committed
Charles Kerr (charlesk) on 2013-10-01
Changed in indicator-location:
status: Triaged → In Progress
Changed in indicator-network:
status: Triaged → In Progress
Changed in indicator-session:
status: Triaged → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-network at revision None, scheduled for release in indicator-network, milestone Unknown

Changed in indicator-network:
status: In Progress → Fix Committed
Changed in indicator-location:
status: In Progress → Fix Committed
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-location at revision None, scheduled for release in indicator-location, milestone Unknown

PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-session at revision None, scheduled for release in indicator-session, milestone Unknown

Changed in indicator-session:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-network - 0.5.1+13.10.20131004-0ubuntu1

---------------
indicator-network (0.5.1+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Add network manager secret agent.
    * Interfaces with unity8's extended snap decisions.

  [ Charles Kerr ]
  * One-liner to set GETTEXT_PACKAGE explicitly because dh_translations
    can't handle ${CMAKE_PROJECT_NAME}. (LP: #1233679)

  [ Ted Gould ]
  * Drop Airplane Mode for Phone 1.0. (LP: #1232832)
  * Update settings URL to settings:///system. (LP: #1231444)
  * Remove icons that have made it into the theme.
  * Depend on XDG Python lib for the Apport hook. (LP: #1233138)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 291
 -- Ubuntu daily release <email address hidden> Fri, 04 Oct 2013 02:29:39 +0000

Changed in indicator-network (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-location - 13.10.0+13.10.20131004-0ubuntu1

---------------
indicator-location (13.10.0+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * One-liner to set GETTEXT_PACKAGE explicitly because dh_translations
    can't handle ${CMAKE_PROJECT_NAME}. (LP: #1233679)
  * Update settings URL to settings:///system. (LP: #1231444)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 49
 -- Ubuntu daily release <email address hidden> Fri, 04 Oct 2013 02:28:39 +0000

Changed in indicator-location (Ubuntu):
status: New → Fix Released
Charles Kerr (charlesk) on 2013-10-04
Changed in indicator-sound:
status: Fix Committed → Fix Released
Changed in indicator-network:
status: Fix Committed → Fix Released
Changed in indicator-session:
status: Fix Committed → Fix Released
Changed in indicator-location:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-sound - 12.10.2+13.10.20131004-0ubuntu1

---------------
indicator-sound (12.10.2+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Fix translation support dh_translations doesn't perform variable
    substitution when parsing the CMakeLists.txt file. (LP: #1233679)

  [ Ted Gould ]
  * Add a desktop_greeter menu without settings.

  [ Lars Uebernickel ]
  * Reconnect when pulseaudio terminates (or crashes). (LP: #1231942)
  * Show synchronous notification when changing the volume by scrolling
    over the indicator. (LP: #1225335)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 387
 -- Ubuntu daily release <email address hidden> Fri, 04 Oct 2013 02:29:38 +0000

Changed in indicator-sound (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-session - 12.10.5+13.10.20131004-0ubuntu1

---------------
indicator-session (12.10.5+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * One-liner to set GETTEXT_PACKAGE explicitly because dh_translations
    can't handle ${CMAKE_PROJECT_NAME}. (LP: #1233679)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 414
 -- Ubuntu daily release <email address hidden> Fri, 04 Oct 2013 02:30:50 +0000

Changed in indicator-session (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers